### Function

# AppStream utils_get_tag_search_weight

since: 1.0

#### Declaration [src]

    guint16
    as_utils_get_tag_search_weight (
      const gchar* tag_name
    )

#### Description [src]

Retrieve the raw search token weight for the given tag name that AppStream uses internally for searching. This can be used to implement separate, but compatible search logic.

Available since: 1.0

#### Parameters

`tag_name`

  Type: `const gchar*`

  A tag name in a component element, e.g. “name” or “summary” or “keyword”

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `guint16`

The tag weight used in (fulltext) searches. 0 for lowest weight/unused.